﻿using UnityEngine;
using System.Collections;
using UnityEngine.Audio;

public class MixLevels : MonoBehaviour
{

    public AudioMixer masterMixer;

    // Ensure each variable eg. "masterVol" is named EXACTLY right to what you exposed the variable names as.
    public void SetMasterLevel(float MasterLevel)
    {
        masterMixer.SetFloat("VolMaster", MasterLevel);
    }

    public void SetSfxLevel(float sfxLevel)
    {
        masterMixer.SetFloat("VolSFX", sfxLevel);
    }

    public void SetMusicLevel(float musicLevel)
    {
        masterMixer.SetFloat("VolMusic", musicLevel);
    }

}
